com.ibm.openpages.api.respview

## Enum RespViewActionLaunchType

- java.lang.Object
- - java.lang.Enum<RespViewActionLaunchType>
  - - com.ibm.openpages.api.respview.RespViewActionLaunchType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewActionLaunchType>

      public enum RespViewActionLaunchType
      extends java.lang.Enum<RespViewActionLaunchType>

  Represents the launch type of a responsive view action. Action is performed inside this target.

  Since:
    8.1.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `sidebar` Launch action inside sidebar
    `tab` Launch action inside a new tab

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RespViewActionLaunchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewActionLaunchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### tab

          public static final RespViewActionLaunchType tab

      Launch action inside a new tab

    - #### sidebar

          public static final RespViewActionLaunchType sidebar

      Launch action inside sidebar

  - ### Method Detail

    - #### values

          public static RespViewActionLaunchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewActionLaunchType c : RespViewActionLaunchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewActionLaunchType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.